llvm.org GIT mirror llvm / 54e7362
Remove the unused header check for utime.h. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@244011 91177308-0d34-0410-b5e6-96231b3b80d8 Eric Christopher 4 years ago
3 changed file(s) with 1 addition(s) and 254 deletion(s). Raw diff Collapse all Expand all
17961796
17971797 AC_CHECK_HEADERS([dlfcn.h execinfo.h fcntl.h inttypes.h link.h])
17981798 AC_CHECK_HEADERS([malloc.h setjmp.h signal.h stdint.h termios.h unistd.h])
1799 AC_CHECK_HEADERS([utime.h])
18001799 AC_CHECK_HEADERS([sys/mman.h sys/param.h sys/resource.h sys/time.h sys/uio.h])
18011800 AC_CHECK_HEADERS([sys/ioctl.h malloc/malloc.h mach/mach.h])
18021801 AC_CHECK_HEADERS([valgrind/valgrind.h])
86428642
86438643 if test "$llvm_cv_os_type" = "MingW" ; then
86448644
8645 { echo "$as_me:$LINENO: checking for main in -limagehlp" >&5
8646 echo $ECHO_N "checking for main in -limagehlp... $ECHO_C" >&6; }
8647 if test "${ac_cv_lib_imagehlp_main+set}" = set; then
8648 echo $ECHO_N "(cached) $ECHO_C" >&6
8649 else
8650 ac_check_lib_save_LIBS=$LIBS
8651 LIBS="-limagehlp $LIBS"
8652 cat >conftest.$ac_ext <<_ACEOF
8653 /* confdefs.h. */
8654 _ACEOF
8655 cat confdefs.h >>conftest.$ac_ext
8656 cat >>conftest.$ac_ext <<_ACEOF
8657 /* end confdefs.h. */
8658
8659
8660 int
8661 main ()
8662 {
8663 return main ();
8664 ;
8665 return 0;
8666 }
8667 _ACEOF
8668 rm -f conftest.$ac_objext conftest$ac_exeext
8669 if { (ac_try="$ac_link"
8670 case "(($ac_try" in
8671 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8672 *) ac_try_echo=$ac_try;;
8673 esac
8674 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8675 (eval "$ac_link") 2>conftest.er1
8676 ac_status=$?
8677 grep -v '^ *+' conftest.er1 >conftest.err
8678 rm -f conftest.er1
8679 cat conftest.err >&5
8680 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8681 (exit $ac_status); } &&
8682 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
8683 { (case "(($ac_try" in
8684 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8685 *) ac_try_echo=$ac_try;;
8686 esac
8687 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8688 (eval "$ac_try") 2>&5
8689 ac_status=$?
8690 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8691 (exit $ac_status); }; } &&
8692 { ac_try='test -s conftest$ac_exeext'
8693 { (case "(($ac_try" in
8694 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8695 *) ac_try_echo=$ac_try;;
8696 esac
8697 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8698 (eval "$ac_try") 2>&5
8699 ac_status=$?
8700 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8701 (exit $ac_status); }; }; then
8702 ac_cv_lib_imagehlp_main=yes
8703 else
8704 echo "$as_me: failed program was:" >&5
8705 sed 's/^/| /' conftest.$ac_ext >&5
8706
8707 ac_cv_lib_imagehlp_main=no
8708 fi
8709
8710 rm -f core conftest.err conftest.$ac_objext \
8711 conftest$ac_exeext conftest.$ac_ext
8712 LIBS=$ac_check_lib_save_LIBS
8713 fi
8714 { echo "$as_me:$LINENO: result: $ac_cv_lib_imagehlp_main" >&5
8715 echo "${ECHO_T}$ac_cv_lib_imagehlp_main" >&6; }
8716 if test $ac_cv_lib_imagehlp_main = yes; then
8717 cat >>confdefs.h <<_ACEOF
8718 #define HAVE_LIBIMAGEHLP 1
8719 _ACEOF
8720
8721 LIBS="-limagehlp $LIBS"
8722
8723 fi
8724
8725
87268645 { echo "$as_me:$LINENO: checking for main in -lole32" >&5
87278646 echo $ECHO_N "checking for main in -lole32... $ECHO_C" >&6; }
87288647 if test "${ac_cv_lib_ole32_main+set}" = set; then
1147111390
1147211391
1147311392 for ac_header in malloc.h setjmp.h signal.h stdint.h termios.h unistd.h
11474 do
11475 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
11476 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11477 { echo "$as_me:$LINENO: checking for $ac_header" >&5
11478 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11479 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11480 echo $ECHO_N "(cached) $ECHO_C" >&6
11481 fi
11482 ac_res=`eval echo '${'$as_ac_Header'}'`
11483 { echo "$as_me:$LINENO: result: $ac_res" >&5
11484 echo "${ECHO_T}$ac_res" >&6; }
11485 else
11486 # Is the header compilable?
11487 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
11488 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
11489 cat >conftest.$ac_ext <<_ACEOF
11490 /* confdefs.h. */
11491 _ACEOF
11492 cat confdefs.h >>conftest.$ac_ext
11493 cat >>conftest.$ac_ext <<_ACEOF
11494 /* end confdefs.h. */
11495 $ac_includes_default
11496 #include <$ac_header>
11497 _ACEOF
11498 rm -f conftest.$ac_objext
11499 if { (ac_try="$ac_compile"
11500 case "(($ac_try" in
11501 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11502 *) ac_try_echo=$ac_try;;
11503 esac
11504 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11505 (eval "$ac_compile") 2>conftest.er1
11506 ac_status=$?
11507 grep -v '^ *+' conftest.er1 >conftest.err
11508 rm -f conftest.er1
11509 cat conftest.err >&5
11510 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11511 (exit $ac_status); } &&
11512 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
11513 { (case "(($ac_try" in
11514 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11515 *) ac_try_echo=$ac_try;;
11516 esac
11517 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11518 (eval "$ac_try") 2>&5
11519 ac_status=$?
11520 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11521 (exit $ac_status); }; } &&
11522 { ac_try='test -s conftest.$ac_objext'
11523 { (case "(($ac_try" in
11524 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11525 *) ac_try_echo=$ac_try;;
11526 esac
11527 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11528 (eval "$ac_try") 2>&5
11529 ac_status=$?
11530 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11531 (exit $ac_status); }; }; then
11532 ac_header_compiler=yes
11533 else
11534 echo "$as_me: failed program was:" >&5
11535 sed 's/^/| /' conftest.$ac_ext >&5
11536
11537 ac_header_compiler=no
11538 fi
11539
11540 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11541 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
11542 echo "${ECHO_T}$ac_header_compiler" >&6; }
11543
11544 # Is the header present?
11545 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
11546 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
11547 cat >conftest.$ac_ext <<_ACEOF
11548 /* confdefs.h. */
11549 _ACEOF
11550 cat confdefs.h >>conftest.$ac_ext
11551 cat >>conftest.$ac_ext <<_ACEOF
11552 /* end confdefs.h. */
11553 #include <$ac_header>
11554 _ACEOF
11555 if { (ac_try="$ac_cpp conftest.$ac_ext"
11556 case "(($ac_try" in
11557 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11558 *) ac_try_echo=$ac_try;;
11559 esac
11560 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11561 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
11562 ac_status=$?
11563 grep -v '^ *+' conftest.er1 >conftest.err
11564 rm -f conftest.er1
11565 cat conftest.err >&5
11566 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11567 (exit $ac_status); } >/dev/null; then
11568 if test -s conftest.err; then
11569 ac_cpp_err=$ac_c_preproc_warn_flag
11570 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
11571 else
11572 ac_cpp_err=
11573 fi
11574 else
11575 ac_cpp_err=yes
11576 fi
11577 if test -z "$ac_cpp_err"; then
11578 ac_header_preproc=yes
11579 else
11580 echo "$as_me: failed program was:" >&5
11581 sed 's/^/| /' conftest.$ac_ext >&5
11582
11583 ac_header_preproc=no
11584 fi
11585
11586 rm -f conftest.err conftest.$ac_ext
11587 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
11588 echo "${ECHO_T}$ac_header_preproc" >&6; }
11589
11590 # So? What about this header?
11591 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
11592 yes:no: )
11593 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
11594 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
11595 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
11596 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
11597 ac_header_preproc=yes
11598 ;;
11599 no:yes:* )
11600 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
11601 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
11602 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
11603 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
11604 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
11605 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
11606 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
11607 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
11608 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
11609 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
11610 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
11611 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
11612 ( cat <<\_ASBOX
11613 ## ------------------------------------ ##
11614 ## Report this to http://llvm.org/bugs/ ##
11615 ## ------------------------------------ ##
11616 _ASBOX
11617 ) | sed "s/^/$as_me: WARNING: /" >&2
11618 ;;
11619 esac
11620 { echo "$as_me:$LINENO: checking for $ac_header" >&5
11621 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11622 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11623 echo $ECHO_N "(cached) $ECHO_C" >&6
11624 else
11625 eval "$as_ac_Header=\$ac_header_preproc"
11626 fi
11627 ac_res=`eval echo '${'$as_ac_Header'}'`
11628 { echo "$as_me:$LINENO: result: $ac_res" >&5
11629 echo "${ECHO_T}$ac_res" >&6; }
11630
11631 fi
11632 if test `eval echo '${'$as_ac_Header'}'` = yes; then
11633 cat >>confdefs.h <<_ACEOF
11634 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
11635 _ACEOF
11636
11637 fi
11638
11639 done
11640
11641
11642 for ac_header in utime.h
1164311393 do
1164411394 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
1164511395 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
1970819458 cd "$ac_popdir"
1970919459 done
1971019460 fi
19461
329329 /* Define to 1 if you have the header file. */
330330 #undef HAVE_UNISTD_H
331331
332 /* Define to 1 if you have the header file. */
333 #undef HAVE_UTIME_H
334
335332 /* Define to 1 if the system has the type `u_int64_t'. */
336333 #undef HAVE_U_INT64_T
337334